<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.engine.organization.mapper.DemoMapper">
    <resultMap id="BaseResultMap" type="com.engine.organization.entity.po.Demo">
        <result column="fid" property="fid"/>
        <result column="flevel" property="flevel"/>
        <result column="fwd" property="fwd"/>
        <result column="fnumber" property="fnumber"/>
        <result column="fname" property="fname"/>
        <result column="fleader" property="fleader"/>
        <result column="fplan" property="fplan"/>
        <result column="fonjob" property="fonjob"/>
        <result column="fisvitual" property="fisvitual"/>
        <result column="ftimebegin" property="ftimebegin"/>
        <result column="ftimeend" property="ftimeend"/>
    </resultMap>

    <!-- 表字段 -->
    <sql id="baseColumns">
        t.fid
        , t.flevel
        , t.fwd
        , t.fnumber
        , t.fname
        , t.fleader
        , t.fplan
        , t.fonjob
        , t.fisvitual
        , t.ftimebegin
        , t.ftimeend
    </sql>

    <select id="listAll" resultMap="BaseResultMap">
        SELECT
        <include refid="baseColumns"/>
        FROM hr_company t
    </select>





</mapper>